﻿
<#
.SYNOPSIS
Install windows-adk-winpe

.DESCRIPTION
Installs the Windows Assessment and Deployment Kit using the Chocolatey framework

.LINK
https://docs.microsoft.com/en-us/windows-hardware/get-started/adk-install
#>

$ChocoPackage = @{
    packageName = 'Windows Assessment and Deployment Kit'
    url = 'https://go.microsoft.com/fwlink/?linkid=2120253'
    checksum = '1EFEDCDFCDE78B0AD290343566154D25'
    silentArgs = "/quiet /norestart /log $env:temp\winPE_adk.log /features +"
    fileType = 'exe'
    validExitCodes = @(0,3010)
}

Install-ChocolateyPackage @ChocoPackage
