﻿
<#
.SYNOPSIS
Uninstall windows-adk-winpe

.DESCRIPTION
Uninstalls the Windows Assessment and Deployment Kit using the Chocolatey framework

.LINK
https://docs.microsoft.com/en-us/windows-hardware/get-started/adk-install
#>

$Keys = @( 'HKCU:\Software\Microsoft\Windows\CurrentVersion\Uninstall\*',
          'HKLM:\Software\Microsoft\Windows\CurrentVersion\Uninstall\*',
          'HKLM:\Software\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\*' ) |
   Get-ItemProperty -ErrorAction SilentlyContinue | 
   where-object DisplayName -match 'Windows Assessment and Deployment Kit'

$Keys | Out-String | Write-Verbose

foreach ( $Key in $Keys ) {
    $ChocoPackage = @{
        SilentArgs = '/uninstall /quiet'
        packageName = 'Windows Assessment and Deployment Kit'
        fileType = 'exe'
        file = $key.BundleCachePath
        validExitCodes = @(0,3010)
    }

    Uninstall-ChocolateyPackage @ChocoPackage
}

